# pandas.Float64Index

class pandas.Float64Index(data=None, dtype=None, copy=False, name=None)

  Immutable sequence used for indexing and alignment. The basic object storing axis labels for all pandas objects. Float64Index is a special case of Index with purely float labels. .

  Parameters
    data array-like (1-dimensional)
    dtype NumPy dtype (default: float64)
    copy bool

      Make a copy of input ndarray.

    name object

      Name to be stored in the index.

  See also

  `Index`

    The base pandas Index type.

  Notes

  An Index instance can only contain hashable objects.

  Attributes

  None |

  Methods

  None |